package com.sooka.system.gas.sc_user_infor.mapper;

import com.sooka.system.gas.sc_user_infor.domain.TGuijiSCUserInfor;

import java.util.List;

/**
 * 思凯收费系统-用户信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiSCUserInforMapper
{
    /**
     * 查询思凯收费系统-用户信息
     *
     * @param id 思凯收费系统-用户信息ID
     * @return 思凯收费系统-用户信息
     */
    public TGuijiSCUserInfor selectById(String id);

    /**
     * 查询思凯收费系统-用户信息列表
     *
     * @param param 思凯收费系统-用户信息
     * @return 思凯收费系统-用户信息集合
     */
    public List<TGuijiSCUserInfor> selectList(TGuijiSCUserInfor param);

    /**
     * 新增思凯收费系统-用户信息
     *
     * @param param 思凯收费系统-用户信息
     * @return 结果
     */
    public int insert(TGuijiSCUserInfor param);

    /**
     * 修改思凯收费系统-用户信息
     *
     * @param param 思凯收费系统-用户信息
     * @return 结果
     */
    public int update(TGuijiSCUserInfor param);

    /**
     * 删除思凯收费系统-用户信息
     *
     * @param id 思凯收费系统-用户信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除思凯收费系统-用户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
